class FirebaseConfig {
  /// Firebase remote config parameter keys
  static const String highlightMenuKey = 'highlight_menu';
  static const String descTermCondition = 'desc_term_condition';
  static const String secretEnvSiapKerja = 'secret_env_siap_kerja';
  static const String menuConfig = 'menu_config';
  static const String residenceServicesMenuKey = 'menu_layanan_kependudukan';
  static const String announcementKey = 'announcement';
  static const String helpContentKey = 'help_content';
  static const String callCenterNumbersKey = 'call_center_numbers';
  static const String callCenterTextInfoKey = 'call_center_text_info';
  static const String secretKeys = 'secret_keys';
  static const String package = 'paket';
  static const String code = 'code';
  static const String ramadhanWidget = 'widget_ramadhan_property';

  /// Firebase remote config default value
  static const String highlightMenuValue =
      '{"enabled":false, "items":[{"feature_name": "Verifikasi Bansos",'
      '"enabled":false,'
      '"cover-image":"https://firebasestorage.googleapis.com/v0/b/sapawarga-app.appspot.com/o/verifikasi-bantuan.png?alt=media&token=d0351b64-412c-4171-b12c-3163db365d64",'
      '"url":"https://quizzical-wing-910b8e.netlify.com/",'
      '"mode":"webview"}]}';

  static const String secretEnvSiapKerjaValue =
      '{"clientName":"","clientSecret":"","orgsId":"","projectsId":"","roleId":""}';
  static const String descTermConditionValue =
      '"<p>Ketentuan Penggunaan</p>  <p>Selamat datang di SAPAWARGA yang disediakan oleh Dinas Komunikasi dan Informatika Provinsi Jawa Barat (&ldquo;Diskominfo&ldquo;). Ketentuan Penggunaan (&ldquo;Ketentuan&rdquo;) ini mengatur penggunaan layanan yang disediakan situs domain https://sapawarga.jabarprov.go.id/ beserta seluruh situs sub-domain tersebut (&ldquo;Situs&rdquo;) dan aplikasi SAPAWARGA (&ldquo;Aplikasi&rdquo;). SAPAWARGA merupakan portal media informasi dan komunikasi antara Pemerintah dan Warga, wadah menampung aspirasi masyarakat dan pelayanan publik dalam bentuk digital yang terintegrasi.</p>  <p>Ketentuan ini merupakan perjanjian yang harus dibaca, dipahami, dan disetujui oleh pelanggan (selanjutnya disebut &ldquo;Anda&rdquo; atau &ldquo;Pengguna&rdquo;) sebelum mengakses dan/atau menggunakan SAPAWARGA. Ketentuan ini dapat diubah dengan versi yang lebih baru sesuai dengan situasi dan kondisi yang terjadi. Perubahan yang dimaksud akan diinformasikan kepada Pengguna. Dengan mengakses dan menggunakan layanan manapun dari SAPAWARGA, Anda setuju untuk terikat dengan Ketentuan ini. Anda dapat mengakses dan menggunakan SAPAWARGA dengan cara yang diizinkan berdasarkan Ketentuan ini. Jika Pengguna tidak setuju dengan versi terbaru dari Ketentuan Pengguna, maka mohon untuk tidak menggunakan SAPAWARGA.</p>  <p>Harap baca Ketentuan ini dengan cermat karena ketidakpatuhan apa pun dapat mengakibatkan tanggung jawab perdata atau pidana.</p>  <p></p>  <p>PENGGUNAAN UMUM</p>  <p>Kecuali jika diizinkan oleh Diskominfo, kami memberi Anda hak non-eksklusif, terbatas, dapat dibatalkan, tidak dapat disublisensikan, dan tidak dapat dialihkan untuk menggunakan SAPAWARGA hanya untuk penggunaan non-komersial pribadi Anda.</p>  <p>Anda setuju bahwa Anda tidak akan, secara langsung atau tidak langsung:</p>  <p>Menggunakan SAPAWARGA untuk tujuan komersial apa pun atau untuk kepentingan pihak ketiga mana pun (kecuali diizinkan oleh Diskominfo), termasuk namun tidak terbatas pada menyewakan, menjual, atau secara langsung atau tidak langsung membebankan biaya kepada orang lain untuk penggunaan SAPAWARGA; Menghapus, menghindari, merusak, memotong, menonaktifkan atau mengganggu fitur SAPAWARGA; Mengakses, mengirimkan, atau menggunakan data apa pun yang bukan milik Anda, atau yang Anda tidak diizinkan secara sah untuk mengakses, mengirimkan, atau menggunakan; Menggambarkan secara salah atau membuat klaim palsu atau menyesatkan tentang SAPAWARGA; Menggunakan SAPAWARGA untuk aktivitas ilegal, tujuan yang melanggar hukum, atau tujuan yang dilarang oleh Ketentuan ini atau melanggar Ketentuan ini; Menyebarluaskan celah keamanan yang ditemukan pada SAPAWARGA kepada siapa pun selain kami atas dasar apa pun; Memanfaatkan celah keamanan sebagaimana dimaksud untuk kepentingan pribadi atau kelompok tertentu; Mengembangkan, mendukung, atau menggunakan perangkat lunak, perangkat, skrip, robot, atau cara dan proses lainnya (termasuk perayap, plug-in dan add-on browser, atau teknologi lainnya) untuk mengambil secara melawan hukum sebagian atau seluruh data yang terdapat dalam Situs dan Aplikasi; Mengganti atau mengubah tampilan di Situs dan Aplikasi; Melakukan deep-link pada seluruh produk dan layanan kami untuk tujuan apa pun, tanpa persetujuan kami; dan Menggunakan SAPAWARGA, mengunggah, memposting, atau mengirimkan materi apa pun yang bertentangan dengan hukum dan kesusilaan. </p>  <p>KEAMANAN</p>  <p>Anda bertanggung jawab atas semua aktivitas yang dilakukan atas nama dan akun Anda. Jika ditemukan pihak lain yang menggunakan nama atau akun Anda secara tidak sah dan/atau tanpa hak, maka Anda dapat memberitahukan informasi tersebut melalui digital.service@jabarprov.go.id agar dilakukan pemblokiran atas akun tersebut.</p>  <p>Kami dan pihak lain yang terlibat di SAPAWARGA tidak bertanggung jawab atas kerugian dalam bentuk apa pun yang mungkin dialami oleh Anda akibat kelalaian Anda yang dapat menyebabkan pihak lain dapat mengakses dan/atau menggunakan akun Anda.</p>  <p>Kami dapat melakukan tindakan yang wajar, tanpa pemberitahuan sebelumnya, demi menjaga keamanan Anda dan kepentingan hukum, termasuk namun tidak terbatas pada menghentikan penggunaan akun, menangguhkan akun, meminta informasi tambahan dari Anda, dan tindakan lainnya berdasarkan dasar hukum dan peraturan perundang-undangan yang berlaku.</p>  <p></p>  <p>PEMBATASAN TANGGUNG JAWAB DAN JAMINAN</p>  <p>Kami tidak bertanggung jawab atas masalah langsung, tidak langsung, insidental, khusus, konsekuensial, termasuk tetapi tidak terbatas, pada masalah informasi, data pribadi, atau kerugian lainnya (bahkan jika kami telah diberitahu tentang kemungkinan masalah tersebut), yang dihasilkan dari:</p>  <p>Pelanggaran atau akses tidak sah terhadap SAPAWARGA, termasuk namun tidak terbatas pada hal-hal ataupun fitur yang terdapat dalam SAPAWARGA yang dilakukan oleh Anda dengan cara yang bertentangan dengan Ketentuan ini maupun ketentuan hukum yang berlaku di wilayah Republik Indonesia; dan Penggunaan informasi yang diperoleh dari pihak ketiga yang terhubung dengan SAPAWARGA. Kami tidak menjamin bahwa:</p>  <p>SAPAWARGA akan selalu dapat diakses atau digunakan oleh Anda; SAPAWARGA tidak akan mengalami gangguan, selalu tepat waktu, aman, dan bebas dari kerusakan atau serangan ilegal secara langsung atau pun tidak langsung; dan SAPAWARGA pada pelaksanaannya selalu berhasil dalam memberikan informasi yang akurat. </p>  <p>GANTI RUGI</p>  <p>Anda melepaskan SAPAWARGA dan pihak ketiga yang terlibat di dalamnya dari setiap klaim atau tuntutan, termasuk namun tidak terbatas pada biaya hukum yang wajar, yang diakibatkan kelalaian Anda dalam mematuhi isi Ketentuan ini, penggunaan fitur dan/atau layanan SAPAWARGA yang tidak semestinya, dan/atau pelanggaran lainnya terhadap hukum atau hak-hak pihak lain.</p>  <p></p>  <p>HAK KEKAYAAN INTELEKTUAL</p>  <p>Anda mengakui bahwa kami memiliki semua kepemilikan, hak, dan kepentingan, termasuk hak kekayaan intelektual, di dalam dan atas SAPAWARGA, termasuk perangkat lunak apa pun di dalamnya. Anda tidak akan melakukan atau mengizinkan tindakan apa pun yang secara langsung atau tidak langsung mungkin membatasi kepemilikan, hak, atau kepentingan kami. Kecuali secara tegas diizinkan oleh hukum atau kami, Anda setuju untuk tidak mengubah, mengadaptasi, menerjemahkan, menyiapkan karya turunan dari, merekayasa, membongkar, atau mencoba mengambil kode sumber dari SAPAWARGA. Tanpa membatasi hal tersebut di atas, Anda tidak akan menggunakan dengan cara apa pun dan tidak akan mereproduksi kekayaan intelektual serupa apa pun terkait dengan SAPAWARGA, tanpa persetujuan tertulis sebelumnya dari kami.</p>  <p></p>  <p>PENGUBAHAN LAYANAN</p>  <p>Kami berhak setiap saat dan dari waktu ke waktu untuk mengubah atau menghentikan, sementara atau secara permanen, layanan atau bagian lainnya dengan atau tanpa pemberitahuan. Kami tidak akan bertanggung jawab kepada Anda atau kepada pihak ketiga lainnya terhadap perubahan apa pun, penangguhan, atau penghentian layanan.</p>  <p></p>  <p>PERATURAN YANG BERLAKU</p>  <p>Ketentuan ini diatur oleh dan ditafsirkan sesuai dengan hukum Republik Indonesia.</p>  <p></p>  <p>PENYELESAIAN PERSELISIHAN</p>  <p>Anda sepakat untuk menyelesaikan perselisihan dalam mengenai pelaksanaan Ketentuan ini secara musyawarah dan mufakat. Apabila musyawarah dan mufakat tidak tercapai dalam waktu 30 (tiga puluh) hari kalender, maka Para Pihak sepakat bahwa penyelesaian perselisihan tersebut akan diteruskan dan diselesaikan di Kantor Pengadilan Negeri Bandung. </p>  <p>KONTAK INFORMASI</p>  <p>Dalam hal terdapat pertanyaan, keluhan dan/atau pengaduan sehubungan dengan penggunaan SAPAWARGA, Anda dapat mengajukan pertanyaan, keluhan dan/atau pengaduan tersebut melalui email ke digital.service@jabarprov.go.id dengan melampirkan identitas Anda.</p>  <p></p>  <p>KEBIJAKAN PRIVASI</p>  <p>Ketentuan lebih lanjut mengenai penggunaan data Anda dalam penggunaan situs dan aplikasi SAPAWARGA diatur melalui dokumen Kebijakan Privasi.</p>  <p></p>  <p>Diperbaharui per tanggal: 29 Juli 2021</p>"';

  static const String announcementValue =
      '{"name": "Bantuan Sosial","enabled":false,"title":"Info","content":"Telah tersedia versi terbaru aplikasi PIKOBAR. Silahkan unduh atau update melalui Play Store pada perangkat Anda.","action_url":"https://play.google.com/store/apps/details?id=id.go.jabarprov.pikobar"}';

  static const String callCenterNumbersValue = '["081220082668"]';

  static const String ramadan = 'ramadan';
  static const String ramadhanWidgetValue = '{"enabled": false,"url": ""}';
  static const int packageValue = 1;
  static const String codeValue = '';
}
